StringRefAddr (Java SE 26 & JDK 26)
Description: declaration: module: java.naming, package: javax.naming, class: StringRefAddr
Keywords: javax.naming.StringRefAddr class

# Class StringRefAddr

java.lang.Object
javax.naming.RefAddr
javax.naming.StringRefAddr

All Implemented Interfaces:
  `Serializable`

public class StringRefAddr extends RefAddr
This class represents the string form of the address of a communications end-point. It consists of a type that describes the communication mechanism and a string contents specific to that communication mechanism. The format and interpretation of the address type and the contents of the address are based on the agreement of three parties: the client that uses the address, the object/server that can be reached using the address, and the administrator or program that creates the address.

An example of a string reference address is a host name. Another example of a string reference address is a URL.

A string reference address is immutable: once created, it cannot be changed. Multithreaded access to a single StringRefAddr need not be synchronized.

Since:
  1.3
See Also:
  - `RefAddr`
  - `BinaryRefAddr`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class RefAddr

  `addrType`
  Modifier and Type
  Field
  Description
  `protected String`
  `addrType`
  Contains the type of this address.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringRefAddr(String addrType, String addr)`
  Constructs a new instance of StringRefAddr using its address type and contents.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getContent()`
  Retrieves the contents of this address.

  ### Methods declared in class RefAddr

  `equals, getType, hashCode, toString`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Determines whether obj is equal to this RefAddr.
  `String`
  `getType()`
  Retrieves the address type of this address.
  `int`
  `hashCode()`
  Computes the hash code of this address using its address type and contents.
  `String`
  `toString()`
  Generates the string representation of this address.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### StringRefAddr

    public StringRefAddr(String addrType, String addr)
    Constructs a new instance of StringRefAddr using its address type and contents.
    Parameters:
      `addrType` - A non-null string describing the type of the address.
      `addr` - The possibly null contents of the address in the form of a string.

- ## Method Details

  - ### getContent

    public Object getContent()
    Retrieves the contents of this address. The result is a string.
    Specified by:
      `getContent` in class `RefAddr`
    Returns:
      The possibly null address contents.